Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.52.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
246.52.0.0
Broadcast address
246.52.255.255
First usable
246.52.0.1
Last usable
246.52.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F6340000 · Integer 4130603008 to 4130668543
Reverse DNS zone
52.246.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.00110100..00000000.00000000246.52.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11110110.00110100..00000000.00000000246.52.0.0
Broadcast11110110.00110100..11111111.11111111246.52.255.255
Split into smaller subnets/23

246.52.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.52.0.0/23246.52.0.1 to 246.52.1.254246.52.1.255510
2246.52.2.0/23246.52.2.1 to 246.52.3.254246.52.3.255510
3246.52.4.0/23246.52.4.1 to 246.52.5.254246.52.5.255510
4246.52.6.0/23246.52.6.1 to 246.52.7.254246.52.7.255510
5246.52.8.0/23246.52.8.1 to 246.52.9.254246.52.9.255510
6246.52.10.0/23246.52.10.1 to 246.52.11.254246.52.11.255510
7246.52.12.0/23246.52.12.1 to 246.52.13.254246.52.13.255510
8246.52.14.0/23246.52.14.1 to 246.52.15.254246.52.15.255510
9246.52.16.0/23246.52.16.1 to 246.52.17.254246.52.17.255510
10246.52.18.0/23246.52.18.1 to 246.52.19.254246.52.19.255510
11246.52.20.0/23246.52.20.1 to 246.52.21.254246.52.21.255510
12246.52.22.0/23246.52.22.1 to 246.52.23.254246.52.23.255510
13246.52.24.0/23246.52.24.1 to 246.52.25.254246.52.25.255510
14246.52.26.0/23246.52.26.1 to 246.52.27.254246.52.27.255510
15246.52.28.0/23246.52.28.1 to 246.52.29.254246.52.29.255510
16246.52.30.0/23246.52.30.1 to 246.52.31.254246.52.31.255510
17246.52.32.0/23246.52.32.1 to 246.52.33.254246.52.33.255510
18246.52.34.0/23246.52.34.1 to 246.52.35.254246.52.35.255510
19246.52.36.0/23246.52.36.1 to 246.52.37.254246.52.37.255510
20246.52.38.0/23246.52.38.1 to 246.52.39.254246.52.39.255510
21246.52.40.0/23246.52.40.1 to 246.52.41.254246.52.41.255510
22246.52.42.0/23246.52.42.1 to 246.52.43.254246.52.43.255510
23246.52.44.0/23246.52.44.1 to 246.52.45.254246.52.45.255510
24246.52.46.0/23246.52.46.1 to 246.52.47.254246.52.47.255510
25246.52.48.0/23246.52.48.1 to 246.52.49.254246.52.49.255510
26246.52.50.0/23246.52.50.1 to 246.52.51.254246.52.51.255510
27246.52.52.0/23246.52.52.1 to 246.52.53.254246.52.53.255510
28246.52.54.0/23246.52.54.1 to 246.52.55.254246.52.55.255510
29246.52.56.0/23246.52.56.1 to 246.52.57.254246.52.57.255510
30246.52.58.0/23246.52.58.1 to 246.52.59.254246.52.59.255510
31246.52.60.0/23246.52.60.1 to 246.52.61.254246.52.61.255510
32246.52.62.0/23246.52.62.1 to 246.52.63.254246.52.63.255510
33246.52.64.0/23246.52.64.1 to 246.52.65.254246.52.65.255510
34246.52.66.0/23246.52.66.1 to 246.52.67.254246.52.67.255510
35246.52.68.0/23246.52.68.1 to 246.52.69.254246.52.69.255510
36246.52.70.0/23246.52.70.1 to 246.52.71.254246.52.71.255510
37246.52.72.0/23246.52.72.1 to 246.52.73.254246.52.73.255510
38246.52.74.0/23246.52.74.1 to 246.52.75.254246.52.75.255510
39246.52.76.0/23246.52.76.1 to 246.52.77.254246.52.77.255510
40246.52.78.0/23246.52.78.1 to 246.52.79.254246.52.79.255510
41246.52.80.0/23246.52.80.1 to 246.52.81.254246.52.81.255510
42246.52.82.0/23246.52.82.1 to 246.52.83.254246.52.83.255510
43246.52.84.0/23246.52.84.1 to 246.52.85.254246.52.85.255510
44246.52.86.0/23246.52.86.1 to 246.52.87.254246.52.87.255510
45246.52.88.0/23246.52.88.1 to 246.52.89.254246.52.89.255510
46246.52.90.0/23246.52.90.1 to 246.52.91.254246.52.91.255510
47246.52.92.0/23246.52.92.1 to 246.52.93.254246.52.93.255510
48246.52.94.0/23246.52.94.1 to 246.52.95.254246.52.95.255510
49246.52.96.0/23246.52.96.1 to 246.52.97.254246.52.97.255510
50246.52.98.0/23246.52.98.1 to 246.52.99.254246.52.99.255510
51246.52.100.0/23246.52.100.1 to 246.52.101.254246.52.101.255510
52246.52.102.0/23246.52.102.1 to 246.52.103.254246.52.103.255510
53246.52.104.0/23246.52.104.1 to 246.52.105.254246.52.105.255510
54246.52.106.0/23246.52.106.1 to 246.52.107.254246.52.107.255510
55246.52.108.0/23246.52.108.1 to 246.52.109.254246.52.109.255510
56246.52.110.0/23246.52.110.1 to 246.52.111.254246.52.111.255510
57246.52.112.0/23246.52.112.1 to 246.52.113.254246.52.113.255510
58246.52.114.0/23246.52.114.1 to 246.52.115.254246.52.115.255510
59246.52.116.0/23246.52.116.1 to 246.52.117.254246.52.117.255510
60246.52.118.0/23246.52.118.1 to 246.52.119.254246.52.119.255510
61246.52.120.0/23246.52.120.1 to 246.52.121.254246.52.121.255510
62246.52.122.0/23246.52.122.1 to 246.52.123.254246.52.123.255510
63246.52.124.0/23246.52.124.1 to 246.52.125.254246.52.125.255510
64246.52.126.0/23246.52.126.1 to 246.52.127.254246.52.127.255510
65246.52.128.0/23246.52.128.1 to 246.52.129.254246.52.129.255510
66246.52.130.0/23246.52.130.1 to 246.52.131.254246.52.131.255510
67246.52.132.0/23246.52.132.1 to 246.52.133.254246.52.133.255510
68246.52.134.0/23246.52.134.1 to 246.52.135.254246.52.135.255510
69246.52.136.0/23246.52.136.1 to 246.52.137.254246.52.137.255510
70246.52.138.0/23246.52.138.1 to 246.52.139.254246.52.139.255510
71246.52.140.0/23246.52.140.1 to 246.52.141.254246.52.141.255510
72246.52.142.0/23246.52.142.1 to 246.52.143.254246.52.143.255510
73246.52.144.0/23246.52.144.1 to 246.52.145.254246.52.145.255510
74246.52.146.0/23246.52.146.1 to 246.52.147.254246.52.147.255510
75246.52.148.0/23246.52.148.1 to 246.52.149.254246.52.149.255510
76246.52.150.0/23246.52.150.1 to 246.52.151.254246.52.151.255510
77246.52.152.0/23246.52.152.1 to 246.52.153.254246.52.153.255510
78246.52.154.0/23246.52.154.1 to 246.52.155.254246.52.155.255510
79246.52.156.0/23246.52.156.1 to 246.52.157.254246.52.157.255510
80246.52.158.0/23246.52.158.1 to 246.52.159.254246.52.159.255510
81246.52.160.0/23246.52.160.1 to 246.52.161.254246.52.161.255510
82246.52.162.0/23246.52.162.1 to 246.52.163.254246.52.163.255510
83246.52.164.0/23246.52.164.1 to 246.52.165.254246.52.165.255510
84246.52.166.0/23246.52.166.1 to 246.52.167.254246.52.167.255510
85246.52.168.0/23246.52.168.1 to 246.52.169.254246.52.169.255510
86246.52.170.0/23246.52.170.1 to 246.52.171.254246.52.171.255510
87246.52.172.0/23246.52.172.1 to 246.52.173.254246.52.173.255510
88246.52.174.0/23246.52.174.1 to 246.52.175.254246.52.175.255510
89246.52.176.0/23246.52.176.1 to 246.52.177.254246.52.177.255510
90246.52.178.0/23246.52.178.1 to 246.52.179.254246.52.179.255510
91246.52.180.0/23246.52.180.1 to 246.52.181.254246.52.181.255510
92246.52.182.0/23246.52.182.1 to 246.52.183.254246.52.183.255510
93246.52.184.0/23246.52.184.1 to 246.52.185.254246.52.185.255510
94246.52.186.0/23246.52.186.1 to 246.52.187.254246.52.187.255510
95246.52.188.0/23246.52.188.1 to 246.52.189.254246.52.189.255510
96246.52.190.0/23246.52.190.1 to 246.52.191.254246.52.191.255510
97246.52.192.0/23246.52.192.1 to 246.52.193.254246.52.193.255510
98246.52.194.0/23246.52.194.1 to 246.52.195.254246.52.195.255510
99246.52.196.0/23246.52.196.1 to 246.52.197.254246.52.197.255510
100246.52.198.0/23246.52.198.1 to 246.52.199.254246.52.199.255510
101246.52.200.0/23246.52.200.1 to 246.52.201.254246.52.201.255510
102246.52.202.0/23246.52.202.1 to 246.52.203.254246.52.203.255510
103246.52.204.0/23246.52.204.1 to 246.52.205.254246.52.205.255510
104246.52.206.0/23246.52.206.1 to 246.52.207.254246.52.207.255510
105246.52.208.0/23246.52.208.1 to 246.52.209.254246.52.209.255510
106246.52.210.0/23246.52.210.1 to 246.52.211.254246.52.211.255510
107246.52.212.0/23246.52.212.1 to 246.52.213.254246.52.213.255510
108246.52.214.0/23246.52.214.1 to 246.52.215.254246.52.215.255510
109246.52.216.0/23246.52.216.1 to 246.52.217.254246.52.217.255510
110246.52.218.0/23246.52.218.1 to 246.52.219.254246.52.219.255510
111246.52.220.0/23246.52.220.1 to 246.52.221.254246.52.221.255510
112246.52.222.0/23246.52.222.1 to 246.52.223.254246.52.223.255510
113246.52.224.0/23246.52.224.1 to 246.52.225.254246.52.225.255510
114246.52.226.0/23246.52.226.1 to 246.52.227.254246.52.227.255510
115246.52.228.0/23246.52.228.1 to 246.52.229.254246.52.229.255510
116246.52.230.0/23246.52.230.1 to 246.52.231.254246.52.231.255510
117246.52.232.0/23246.52.232.1 to 246.52.233.254246.52.233.255510
118246.52.234.0/23246.52.234.1 to 246.52.235.254246.52.235.255510
119246.52.236.0/23246.52.236.1 to 246.52.237.254246.52.237.255510
120246.52.238.0/23246.52.238.1 to 246.52.239.254246.52.239.255510
121246.52.240.0/23246.52.240.1 to 246.52.241.254246.52.241.255510
122246.52.242.0/23246.52.242.1 to 246.52.243.254246.52.243.255510
123246.52.244.0/23246.52.244.1 to 246.52.245.254246.52.245.255510
124246.52.246.0/23246.52.246.1 to 246.52.247.254246.52.247.255510
125246.52.248.0/23246.52.248.1 to 246.52.249.254246.52.249.255510
126246.52.250.0/23246.52.250.1 to 246.52.251.254246.52.251.255510
127246.52.252.0/23246.52.252.1 to 246.52.253.254246.52.253.255510
128246.52.254.0/23246.52.254.1 to 246.52.255.254246.52.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses